//
//  MyDocument.h
//  Created by Francesco Germinara on 11/5/05.
//  Freeware 2005
//  www.germinara.it

//Subclass della classe NSDocument per gestire il caricamento, la visualizzazione e il salvataggio dei dati


//IMPORTANTE: Questo non vuole essere un VERO EDITOR HEX, ma un piccolo esempio di programmazione in Cocoa.

//DATA LA LIMITAZIONE DI PRESTAZIONE DELLA CLASSE NSTEXTVIEW, NON UTILIZZATELO PER FILES CON DIMENSIONI SUPERIORI ai 
//     250 KILOBYTES, altrimenti il tutto è di una lentezza esaperante e puo' tranquillamente bloccarsi e bloccare il 
//     vostro computer cencando di caricare o eseguire un operazione molto pesante.

//UN VERO EDITOR HEX deve essere gestito in un modo molto differente, in quando occorre presentare a video solo la porzione
//dey bytes che si stanno esaminando e/o modificando.

//per un editor hex serio guardate 
//http://www.ifd.com/product_info.php?products_id=87
//
//oppure 
//
//Resorcerer 2.4 
//
//Oppure HexEdit 1.4
//
//Buon divertimento...
//

#import <Cocoa/Cocoa.h>
#import "FGAsciiView.h"
#import "FGHexTextView.h"

@interface MyDocument : NSDocument
{

   IBOutlet FGAsciiView *theAsciiView;         //L'oggetto di gestione dei dati in modalita' decimale
   IBOutlet FGHexTextView *theHexView;         //L'oggetto di gestione dei dati hex
   IBOutlet NSTextField *theHexViewOffSetPos;  //L'oggetto usato per visualizzare la posizione di offset del cursore
   IBOutlet NSMenu *theHexViewContextMenu;     //Il menu contestuale agganciato all'oggetto FGHexTextView
   
   NSData *theLoadedData;                      //Dati "grezzi" letti dal file
}
@end
